module ActionExtension
  module Services
    class Base
      def initialize(variables = {})
        variables.each do |name, value|
          instance_variable_set("@#{name}", value)
          self.class.send(:attr_reader, name)
        end
      end
    end
  end
end
